<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="9531" systemVersion="15E65" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES">
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="9529"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="StoreNameViewController">
            <connections>
                <outlet property="textFieldName" destination="deL-BR-euJ" id="OIx-Pb-9nH"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="ALc-34-26d">
                    <rect key="frame" x="0.0" y="20" width="375" height="49"/>
                    <subviews>
                        <textField opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" textAlignment="natural" minimumFontSize="17" clearButtonMode="whileEditing" translatesAutoresizingMaskIntoConstraints="NO" id="deL-BR-euJ">
                            <rect key="frame" x="16" y="10" width="343" height="30"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="30" id="bF5-mo-edx"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits"/>
                        </textField>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                    <constraints>
                        <constraint firstAttribute="trailing" secondItem="deL-BR-euJ" secondAttribute="trailing" constant="16" id="ZS3-uO-3OY"/>
                        <constraint firstAttribute="bottom" secondItem="deL-BR-euJ" secondAttribute="bottom" constant="9" id="jJm-Y2-OBh"/>
                        <constraint firstItem="deL-BR-euJ" firstAttribute="top" secondItem="ALc-34-26d" secondAttribute="top" constant="10" id="qon-9U-QRF"/>
                        <constraint firstItem="deL-BR-euJ" firstAttribute="leading" secondItem="ALc-34-26d" secondAttribute="leading" constant="16" id="z8k-SZ-X0T"/>
                    </constraints>
                </view>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="给你的店铺取个你喜欢的名字吧" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="TXP-n0-MIE">
                    <rect key="frame" x="16" y="77" width="210" height="18"/>
                    <fontDescription key="fontDescription" type="system" pointSize="15"/>
                    <color key="textColor" red="0.50823958329999996" green="0.50823958329999996" blue="0.50823958329999996" alpha="1" colorSpace="calibratedRGB"/>
                    <nil key="highlightedColor"/>
                </label>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="6bk-SN-0aE">
                    <rect key="frame" x="16" y="140" width="343" height="44"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="300" id="t3f-bF-Bfe"/>
                        <constraint firstAttribute="height" constant="44" id="yxw-16-mEI"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" pointSize="20"/>
                    <state key="normal" title="保 存" backgroundImage="rigist_btn_bg">
                        <color key="titleColor" red="0.97254901959999995" green="0.97254901959999995" blue="0.97254901959999995" alpha="1" colorSpace="calibratedRGB"/>
                    </state>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="t3f-bF-Bfe"/>
                        </mask>
                    </variation>
                    <connections>
                        <action selector="saveName:" destination="-1" eventType="touchUpInside" id="mS1-h5-lZX"/>
                    </connections>
                </button>
                <imageView userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="03店铺名称_03" translatesAutoresizingMaskIntoConstraints="NO" id="4gp-hl-l09">
                    <rect key="frame" x="0.0" y="184" width="375" height="300"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="300" id="TjS-DV-YDI"/>
                        <constraint firstAttribute="height" constant="243" id="oSg-pT-lJZ"/>
                    </constraints>
                    <variation key="default">
                        <mask key="constraints">
                            <exclude reference="oSg-pT-lJZ"/>
                        </mask>
                    </variation>
                </imageView>
            </subviews>
            <color key="backgroundColor" red="0.94901960784313721" green="0.94901960784313721" blue="0.94901960784313721" alpha="1" colorSpace="calibratedRGB"/>
            <constraints>
                <constraint firstItem="deL-BR-euJ" firstAttribute="leading" secondItem="TXP-n0-MIE" secondAttribute="leading" id="2n1-Ra-iso"/>
                <constraint firstItem="6bk-SN-0aE" firstAttribute="trailing" secondItem="deL-BR-euJ" secondAttribute="trailing" id="HZL-NY-d7n"/>
                <constraint firstAttribute="bottom" relation="greaterThanOrEqual" secondItem="4gp-hl-l09" secondAttribute="bottom" id="Sf7-Jt-ngR"/>
                <constraint firstAttribute="trailing" secondItem="4gp-hl-l09" secondAttribute="trailing" id="URu-SB-tpf"/>
                <constraint firstItem="ALc-34-26d" firstAttribute="top" secondItem="i5M-Pr-FkT" secondAttribute="top" constant="20" id="Z0V-XA-xLP"/>
                <constraint firstItem="6bk-SN-0aE" firstAttribute="top" secondItem="TXP-n0-MIE" secondAttribute="bottom" constant="45" id="Zsv-M4-qFy"/>
                <constraint firstItem="4gp-hl-l09" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" id="afD-hX-2td"/>
                <constraint firstItem="TXP-n0-MIE" firstAttribute="top" secondItem="ALc-34-26d" secondAttribute="bottom" constant="8" id="lZv-Ne-Q7E"/>
                <constraint firstAttribute="bottom" secondItem="4gp-hl-l09" secondAttribute="bottom" id="m22-2a-Poh"/>
                <constraint firstItem="6bk-SN-0aE" firstAttribute="leading" secondItem="deL-BR-euJ" secondAttribute="leading" id="oWS-mx-phF"/>
                <constraint firstItem="4gp-hl-l09" firstAttribute="top" secondItem="6bk-SN-0aE" secondAttribute="bottom" id="veb-Ew-P4c"/>
                <constraint firstItem="ALc-34-26d" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" id="wgI-Ic-BoN"/>
                <constraint firstAttribute="trailing" secondItem="ALc-34-26d" secondAttribute="trailing" id="xvX-LV-hC9"/>
            </constraints>
            <simulatedScreenMetrics key="simulatedDestinationMetrics" type="retina47"/>
            <variation key="default">
                <mask key="constraints">
                    <exclude reference="m22-2a-Poh"/>
                </mask>
            </variation>
            <point key="canvasLocation" x="249.5" y="353.5"/>
        </view>
    </objects>
    <resources>
        <image name="03店铺名称_03" width="754" height="349"/>
        <image name="rigist_btn_bg" width="490" height="65"/>
    </resources>
</document>
